[DEFAULT]
support-files =
  head.js
  support/test_967000_charEncoding_page.html

[browser_694291_searchbar_preference.js]
[browser_873501_handle_specials.js]
[browser_876926_customize_mode_wrapping.js]
[browser_876944_customize_mode_create_destroy.js]
[browser_877006_missing_view.js]
[browser_877178_unregisterArea.js]
[browser_877447_skip_missing_ids.js]
[browser_878452_drag_to_panel.js]
[browser_884402_customize_from_overflow.js]
skip-if = os == "linux"
[browser_885052_customize_mode_observers_disabed.js]
tags = fullscreen
# Bug 951403 - Disabled on OSX for frequent failures
skip-if = os == "mac"

[browser_885530_showInPrivateBrowsing.js]
[browser_886323_buildArea_removable_nodes.js]
[browser_890262_destroyWidget_after_add_to_panel.js]
[browser_892955_isWidgetRemovable_for_removed_widgets.js]
[browser_892956_destroyWidget_defaultPlacements.js]
[browser_909779_overflow_toolbars_new_window.js]
skip-if = os == "linux"

[browser_901207_searchbar_in_panel.js]
[browser_913972_currentset_overflow.js]
skip-if = os == "linux"

[browser_914138_widget_API_overflowable_toolbar.js]
skip-if = os == "linux"

[browser_918049_skipintoolbarset_dnd.js]
[browser_923857_customize_mode_event_wrapping_during_reset.js]
[browser_927717_customize_drag_empty_toolbar.js]

[browser_934113_menubar_removable.js]
# Because this test is about the menubar, it can't be run on mac
skip-if = os == "mac"

[browser_934951_zoom_in_toolbar.js]
uses-unsafe-cpows = true
[browser_938980_navbar_collapsed.js]
[browser_938995_indefaultstate_nonremovable.js]
[browser_940013_registerToolbarNode_calls_registerArea.js]
[browser_940307_panel_click_closure_handling.js]
skip-if = (verify && debug && (os == 'linux'))
[browser_940946_removable_from_navbar_customizemode.js]
[browser_941083_invalidate_wrapper_cache_createWidget.js]
skip-if = verify
[browser_942581_unregisterArea_keeps_placements.js]
[browser_944887_destroyWidget_should_destroy_in_palette.js]
[browser_945739_showInPrivateBrowsing_customize_mode.js]
[browser_947914_button_addons.js]
skip-if = os == "linux" # Intermittent failures
[browser_947914_button_copy.js]
skip-if = os == "linux" # Intermittent failures on Linux
[browser_947914_button_cut.js]
skip-if = os == "linux" # Intermittent failures on Linux
[browser_947914_button_find.js]
skip-if = os == "linux" # Intermittent failures
[browser_947914_button_history.js]
support-files = dummy_history_item.html
skip-if = os == "linux" # Intermittent failures
[browser_947914_button_newPrivateWindow.js]
skip-if = os == "linux" # Intermittent failures
[browser_947914_button_newWindow.js]
skip-if = os == "linux" # Intermittent failures
[browser_947914_button_paste.js]
skip-if = os == "linux" # Intermittent failures on Linux
[browser_947914_button_print.js]
skip-if = os == "linux" # Intermittent failures on Linux
[browser_947914_button_zoomIn.js]
skip-if = os == "linux" # Intermittent failures
[browser_947914_button_zoomOut.js]
skip-if = os == "linux" # Intermittent failures
[browser_947914_button_zoomReset.js]
skip-if = os == "linux" # Intermittent failures
[browser_947987_removable_default.js]
[browser_948985_non_removable_defaultArea.js]
[browser_952963_areaType_getter_no_area.js]
skip-if = verify
[browser_956602_remove_special_widget.js]
[browser_962069_drag_to_overflow_chevron.js]
[browser_963639_customizing_attribute_non_customizable_toolbar.js]
[browser_967000_button_charEncoding.js]
[browser_968565_insert_before_hidden_items.js]
[browser_969427_recreate_destroyed_widget_after_reset.js]
[browser_969661_character_encoding_navbar_disabled.js]
[browser_970511_undo_restore_default.js]
skip-if = verify
[browser_972267_customizationchange_events.js]
[browser_973641_button_addon.js]
[browser_976792_insertNodeInWindow.js]
skip-if = os == "linux"
[browser_978084_dragEnd_after_move.js]
skip-if = verify
[browser_980155_add_overflow_toolbar.js]
skip-if = verify
[browser_981305_separator_insertion.js]
[browser_981418-widget-onbeforecreated-handler.js]
skip-if = verify
[browser_982656_restore_defaults_builtin_widgets.js]
[browser_984455_bookmarks_items_reparenting.js]
skip-if = os == "linux"
[browser_985815_propagate_setToolbarVisibility.js]
[browser_987177_destroyWidget_xul.js]
skip-if = verify
[browser_987177_xul_wrapper_updating.js]
[browser_987492_window_api.js]
[browser_987640_charEncoding.js]
[browser_989338_saved_placements_not_resaved.js]
[browser_989751_subviewbutton_class.js]
[browser_992747_toggle_noncustomizable_toolbar.js]
[browser_993322_widget_notoolbar.js]
skip-if = verify
[browser_995164_registerArea_during_customize_mode.js]
[browser_996364_registerArea_different_properties.js]
[browser_996635_remove_non_widgets.js]
[browser_1003588_no_specials_in_panel.js]
[browser_1007336_lwthemes_in_customize_mode.js]
skip-if = os == "linux" # crashing on Linux due to bug 1271683
[browser_1008559_anchor_undo_restore.js]
[browser_1042100_default_placements_update.js]
[browser_1058573_showToolbarsDropdown.js]
[browser_1087303_button_fullscreen.js]
tags = fullscreen
skip-if = os == "mac"
[browser_1087303_button_preferences.js]
[browser_1089591_still_customizable_after_reset.js]
[browser_1096763_seen_widgets_post_reset.js]
[browser_1161838_inserted_new_default_buttons.js]
skip-if = verify
[browser_1484275_PanelMultiView_toggle_with_other_popup.js]
[browser_allow_dragging_removable_false.js]
[browser_bootstrapped_custom_toolbar.js]
[browser_character_encoding_ctrl_click.js]
[browser_ctrl_click_panel_opening.js]
[browser_currentset_post_reset.js]
[browser_customizemode_contextmenu_menubuttonstate.js]
skip-if = os == "win" && bits == 64 # 1526429
[browser_customizemode_dragspace.js]
skip-if = os == "linux" # linux doesn't get drag space (no tabsintitlebar)
[browser_customizemode_uidensity.js]
[browser_drag_outside_palette.js]
[browser_exit_background_customize_mode.js]
[browser_flexible_space_area.js]
[browser_insert_before_moved_node.js]
[browser_library_after_appMenu.js]
[browser_overflow_use_subviews.js]
skip-if = verify
[browser_panel_keyboard_navigation.js]
[browser_panel_toggle.js]
[browser_panelUINotifications.js]
[browser_panelUINotifications_fullscreen.js]
tags = fullscreen
skip-if = os == "mac"
[browser_panelUINotifications_fullscreen_noAutoHideToolbar.js]
skip-if = (verify && (os == 'linux' || os == 'mac'))
tags = fullscreen
[browser_panelUINotifications_multiWindow.js]
[browser_remove_customized_specials.js]
[browser_reset_builtin_widget_currentArea.js]
[browser_switch_to_customize_mode.js]
[browser_synced_tabs_menu.js]
[browser_backfwd_enabled_post_customize.js]
[browser_check_tooltips_in_navbar.js]
[browser_editcontrols_update.js]
[browser_customization_context_menus.js]
[browser_newtab_button_customizemode.js]
[browser_open_from_popup.js]
[browser_open_in_lazy_tab.js]
[browser_PanelMultiView_focus.js]
[browser_PanelMultiView_keyboard.js]
[browser_reload_tab.js]
[browser_sidebar_toggle.js]
skip-if = verify
[browser_tabbar_big_widgets.js]
[browser_remote_tabs_button.js]
skip-if = (verify && debug && (os == 'linux' || os == 'mac'))
[browser_touchbar_customization.js]
skip-if = (os == "linux" || os == "win")
[browser_widget_animation.js]
[browser_lwt_telemetry.js]

# Unit tests for the PanelMultiView module. These are independent from
# CustomizableUI, but are located here together with the module they're testing.
[browser_PanelMultiView.js]
